LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XControlInformation Interface Referencepublished

Interface to query for controls and control properties supported by the implementing instance. More...

`import"XControlInformation.idl";`

Inheritance diagram for XControlInformation:

## Public Member Functions
sequence< string > | getSupportedControls ()
| Query for the supported controls of a service instance. More...
boolean | isControlSupported ([in] string aControlName)
| Returns whether the specified control is supported or not. More...
sequence< string > | getSupportedControlProperties ([in] string aControlName) raises ( com::sun::star::lang::IllegalArgumentException )
| Returns a sequence with properties supported by the specified control. More...
boolean | isControlPropertySupported ([in] string aControlName, [in] string aControlProperty) raises ( com::sun::star::lang::IllegalArgumentException )
| Returns whether control property is supported by a control. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to query for controls and control properties supported by the implementing instance.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getSupportedControlProperties()

sequence< string > getSupportedControlProperties | ( | [in] string | aControlName | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Returns a sequence with properties supported by the specified control.

Parameters

  aControlName | The name of the control. Common control names are for instance "OkButton" or "CancelButton".

Returns
  a sequence of control properties supported by the specified control.

Exceptions

  com::sun::star::lang::IllegalArgumentException | when the specified control is not supported.

## ◆ getSupportedControls()

sequence< string > getSupportedControls | ( |  | ) |

Query for the supported controls of a service instance.

Returns
  a sequence with the names of the supported controls.

## ◆ isControlPropertySupported()

boolean isControlPropertySupported | ( | [in] string | aControlName,
|  | [in] string | aControlProperty
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Returns whether control property is supported by a control.

Parameters

  aControlName | The name of the control.
  aControlProperty | The control property to query for.

Returns
  `TRUE` if the specified control action is supported. `FALSE` if the specified control action is not supported.

Exceptions

  com::sun::star::lang::IllegalArgumentException | when the specified control is not supported.

## ◆ isControlSupported()

boolean isControlSupported | ( | [in] string | aControlName | ) |

Returns whether the specified control is supported or not.

Parameters

  aControlName | The name of the control. Common control names are for instance "OkButton" or "CancelButton".

Returns
  `TRUE` if the specified control is supported. `FALSE` if the specified control is not supported.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/dialogs/XControlInformation.idl